Package: org.codehaus.groovy.ast.stmt

## [Java] Class ReturnStatement

- org.codehaus.groovy.ast.stmt.ReturnStatement

-     public class ReturnStatement
      extends Statement

  A return statement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ReturnStatement` | `RETURN_NULL_OR_VOID` | Only used for synthetic return statements emitted by the compiler.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReturnStatement(ExpressionStatement statement)`
    `ReturnStatement(Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isReturningNullOrVoid()`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final ReturnStatement RETURN_NULL_OR_VOID

      Only used for synthetic return statements emitted by the compiler. For comparisons use isReturningNullOrVoid() instead.

  - ### Constructor Detail

    - #### public ReturnStatement(ExpressionStatement statement)

    - #### public ReturnStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### @Override
      public String getText()

    - #### public boolean isReturningNullOrVoid()

    - #### public void setExpression(Expression expression)

    - #### @Override
      public String toString()

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)